package com.practicas.practica1;

import android.content.Context;
import android.widget.Toast;

public class cHuman_Cyborg_Terminator_Genesys extends cHuman_Cyborg_Terminator {

	public boolean is_mutant;
	public cHuman_Cyborg_Terminator_Genesys(cHuman tp, String tTRADECODE,cGame_Commons.ARMOUR_TYPE tarmour_type,cGame_Commons.WEAPON_CLASS tweapon_class,int tmax_inventory,boolean tis_mutant) {
		super(tp, tTRADECODE,tarmour_type,tweapon_class,tmax_inventory);
		is_mutant=tis_mutant;
	}
	
	@Override
	public void getInfo(Context tActivity)
	{
		Toast.makeText(tActivity,"Genesys Terminator-->" + " - " + this.p.name + " - is mutant :" + is_mutant,Toast.LENGTH_LONG).show();
	}
	

}
